# configure GDM for autologin
#
cat > $MOUNTDIR/etc/gdm/custom.conf << _EOF
[daemon]
AutomaticLoginEnable=true
AutomaticLogin=liveuser
_EOF

## provide a basilar gtkrc (to be improved)
#cat > $MOUNTDIR/etc/gtk-2.0/gtkrc << _EOF
#gtk-theme-name = "Default"
#gtk-icon-theme-name = "gnome"
#_EOF
chroot $MOUNTDIR gtk-update-icon-cache /usr/share/icons/hicolor

# FIXME: ensure alternatives are correclty set
chroot $MOUNTDIR update-alternatives-set-dri

# set timezone according to LANGUAGE (default is UTC)
#
case $LANGUAGE in
   it) timezone=Europe/Rome ;;
   es) timezone=Europe/Madrid ;;
   *)  timezone=UTC ;;
esac
ln -s ../usr/share/zoneinfo/$timezone $MOUNTDIR/etc/localtime

# clean rpm database before doing other operations with internal rpm
# to fix cross x86/x86_64 installation error: 
# error: db4 error(-30986) from dbcursor->get: DB_PAGE_NOTFOUND: Requested page not found
clean_rpm_database

# pre-create video drivers for VirtualBox
virtualbox_ver=`ls -d $MOUNTDIR/usr/src/vboxvideo-* | sed "s|.*-||"`
for K in $KERNEL_EXTRAVER $KERNEL_MORE_EXTRAVER; do
   chroot $MOUNTDIR dkms install -q -m vboxguest -v ${virtualbox_ver} -k ${KERNEL_MAJVER}$K --force
   chroot $MOUNTDIR dkms install -q -m vboxvideo -v ${virtualbox_ver} -k ${KERNEL_MAJVER}$K --force
done
chroot $MOUNTDIR rpm -e VirtualBox-vboxguest dkms --noscripts

for K in $KERNEL_EXTRAVER $KERNEL_MORE_EXTRAVER; do
   # remove kernel headers installed by dkms
   chroot $MOUNTDIR smart remove kernel-${K}-headers -y
   # remove unused initramfs generated by kernel
   rm -f $MOUNTDIR/boot/initramfs-${KERNEL_MAJVER}${K}.img*
   # remove failsafe image to save space for livecd
   rm -f $MOUNTDIR/boot/initramfs-${KERNEL_MAJVER}${KERNEL_EXTRAVER}-failsafe.img*
done

# install all GConf rules
cat > $MOUNTDIR/tmp/gconftool.sh << _EOF
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule /etc/gconf/schemas/* >/dev/null
_EOF
chroot $MOUNTDIR sh /tmp/gconftool.sh
rm $MOUNTDIR/tmp/gconftool.sh

# remove some documentation to save space on CD
for f in ChangeLog Changelog CHANGES TODO NEWS README README.txt; do
   find $MOUNTDIR/usr/share/doc -name $f -exec rm -f {} \;
done

prelink
