# configure KDM for autologin
#
if [ -e $MOUNTDIR/opt/kde/share/config/kdm/kdmrc ]; then
   sed -i 's|[#]*AutoLoginEnable=.*|AutoLoginEnable=true|' \
      $MOUNTDIR/opt/kde/share/config/kdm/kdmrc
   sed -i 's|[#]*AutoReLogin=.*|AutoReLogin=true|' \
      $MOUNTDIR/opt/kde/share/config/kdm/kdmrc
   sed -i 's|[#]*AutoLoginUser=.*|AutoLoginUser=liveuser|' \
      $MOUNTDIR/opt/kde/share/config/kdm/kdmrc
fi

# FIXME: ensure alternatives are correclty set
chroot $MOUNTDIR update-alternatives-set-dri

# set timezone according to LANGUAGE (default is UTC)
#
case $LANGUAGE in
   it) timezone=Europe/Rome ;;
   es) timezone=Europe/Madrid ;;
   *)  timezone=UTC ;;
esac
ln -s ../usr/share/zoneinfo/$timezone $MOUNTDIR/etc/localtime

# configure favorites in kde menu
for f in /usr/share/applications/chromium-devel.desktop; do
   chroot $MOUNTDIR /opt/kde/bin/kickoffcfg --add-favorite $f
done

for K in $KERNEL_EXTRAVER $KERNEL_MORE_EXTRAVER; do
   # remove unused initramfs generated by kernel
   rm -f $MOUNTDIR/boot/initramfs-${KERNEL_MAJVER}${K}.img*
   # remove failsafe image to save space for livecd
   rm -f $MOUNTDIR/boot/initramfs-${KERNEL_MAJVER}${KERNEL_EXTRAVER}-failsafe.img*
done

prelink
